{"id":23648,"date":"2020-07-03T15:19:17","date_gmt":"2020-07-03T14:19:17","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=23648"},"modified":"2023-07-19T06:57:52","modified_gmt":"2023-07-19T05:57:52","slug":"data-update-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/data-update-api\/","title":{"rendered":"Data Update API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp; Used to update data into Data Table.<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>PUT<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"new window\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>App Access<\/b><\/td>\n<td>\n<p>Read and Write access to the Data Table from the Data Definition in DaaS.<\/p>\n<p>For more information, see <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/advanced-topics\/data-table\/#Assignments\" target=\"new window\" rel=\"noopener noreferrer\">app assignment for accessing the data in a table <\/a> and <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/advanced-topics\/data-as-a-service\/#Assignments\" target=\"new window\" rel=\"noopener noreferrer\">Data as a Service <\/a> articles.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\">host<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">tableName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Name of the table to update data<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X PUT \\\r\n  https:\/\/{{host}}\/api\/public\/tables\/{{tableName}} \\\r\n  -H 'auth: {{<em>YOUR_JWT_ACCESS_TOKEN}}<\/em>' \\\r\n  -H 'content-type: application\/json' \\\r\n  -d '{\r\n      \"query\":{\r\n \t\"expressions\": [\r\n        \t{\"field\": \"firstName\", \"operand\": \"=\", \"value\": \"Jane\"},\r\n\t\t{\"field\": \"lastName\", \"operand\": \"=\", \"value\": \"Doe\"}\r\n\t\t],\r\n\t\t\"operator\": \"and\"\r\n\t   },\r\n      \"data\": {\r\n        \"First_Name\": \"Jane\",\r\n        \"Last_Name\": \"Smith\",\r\n        \"Number\": 3453\r\n    }\r\n}'<\/pre>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>query<\/td>\n<td>\n<p>Filter criteria identifying the row to be updated<\/p>\n<pre>\u00a0\"query\":{\r\n\t\"expressions\": [\r\n\t   {\"field\": \"&lt;col1_name&gt;\", \"operand\": \"=\/!=\/&lt;\/&gt;\", \"value\": \"&lt;value1&gt;\"},\r\n\t   {\"field\": \"&lt;col2_name&gt;\", \"operand\": \"=\/!=\/&lt;\/&gt;\", \"value\": \"&lt;value2&gt;\"}\r\n\t],\r\n\t\"operator\": \"and\/or\"\r\n\t   }<\/pre>\n<\/td>\n<\/tr>\n<tr>\n<td>data<\/td>\n<td>\n<p>Object with the column_name: value pairing for the columns to be updated<\/p>\n<pre>\"data\": {\r\n        \"&lt;col1_name&gt;\": \"&lt;value1&gt;\",\r\n        \"&lt;col2_name&gt;\": \"&lt;value2&gt;\",\r\n   }<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n   \"nModified\": 1\r\n}\r\n<\/pre>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"&nbsp; Used to update data into Data Table. Method PUT Endpoint https:\/\/{{host}}\/api\/public\/tables\/{{tableName}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. App Access Read and Write access to the Data Table from the Data Definition in DaaS. For more information, see app assignment for accessing the data in a table and...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-23648","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23648","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=23648"}],"version-history":[{"count":9,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23648\/revisions"}],"predecessor-version":[{"id":57952,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/23648\/revisions\/57952"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=23648"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=23648"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=23648"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}